Bug 33106 - Installer quits about 30% through creating a loopback filesystem
Summary: Installer quits about 30% through creating a loopback filesystem
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
: 31780 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-25 02:41 UTC by Ken
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 04:16:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken 2001-03-25 02:41:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; 
AT&T WNS5.0)


Every time I install RedHat, about 30% through the loopback filesystem 
creation, I get an error.

Reproducible: Always
Steps to Reproduce:
1.Go through any installation
2.Mount the root on a FAT32 filesystem that has gone through the 
installation half-way once before, but the computer turned off before it 
finished
3.Install and get my wonderful error.

Actual Results:  30% through creating the loopback filesystem it crashes.

Expected Results:  It should've installed!!!

The error I get is:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall 
()
 
 File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1488, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File 
"fstab.py", line 710, in makeFilesystems()
    File "tmp/updates/fstab.py/", line 645 in MakeFilesytems
(slef.progressWindow, _("loopback"),
File "isys.py", line 78, in ddfile
OS.write(fd,buf)
OSError: [Errno 27] File too large
That's all of it that I can see. The whole program crashes, so Ic an't 
copy it to disk or anything.

Comment 1 Michael Fulbright 2001-03-26 21:07:29 UTC
How big did you specify the loopback filesystem to be, and how much free space
is on the drive you put it?

Comment 2 Brent Fox 2001-04-11 15:22:55 UTC
*** Bug 31780 has been marked as a duplicate of this bug. ***

Comment 3 Brent Fox 2001-04-20 04:16:52 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.